<?php

namespace Ignite\Core\Contracts\Dashboard;

interface Stat extends Chart
{
    /**
     * The color of the stat.
     *
     * @return string
     */
    public function getColor();

    /**
     * The link to see more information about the stat.
     *
     * @return string
     */
    public function getLink();

    /**
     * The HTML class of an icon.
     *
     * @return string
     */
    public function getIcon();
}